Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512670 - RFE: Make the ansible tower retirement entry point default.
Summary: RFE: Make the ansible tower retirement entry point default.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: cfme-future
Assignee: mkanoor
QA Contact: Dave Johnson
URL:
Whiteboard: service
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 19:58 UTC by Shveta
Modified: 2017-12-05 15:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 19:53:09 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Retiring (deleted)
2017-11-13 19:58 UTC, Shveta
no flags Details
entry point (deleted)
2017-11-21 18:03 UTC, Shveta
no flags Details

Description Shveta 2017-11-13 19:58:22 UTC
Created attachment 1351671 [details]
Retiring

Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.8.20171109215303_ed87902 

How reproducible:


Steps to Reproduce:
1. Create a service for Ansible Tower .
2. Order Service . Once the request finished . Navigate to Myservice and retire service.
3. Service keeps on showing "retiring" forever.

Actual results:


Expected results:


Additional info:
Appliance : https://10.8.197.231

Comment 2 mkanoor 2017-11-21 17:08:58 UTC
Hello Shveta,
Is the above mnentioned appliance still accessible.

Thanks

Comment 3 Shveta 2017-11-21 18:02:47 UTC
Sorry that appliance is gone .
I tried again on https://10.8.197.120 and realized that I didn't give retirement entry point last time . So this time it worked with the retirement entry point .

SO I guess the last issue to be addressed is , can we give the retirement entry point by default like we show for other providers (vmware).

Comment 4 Shveta 2017-11-21 18:03:47 UTC
Created attachment 1356914 [details]
entry point

Comment 5 mkanoor 2017-11-21 19:28:25 UTC
Unlike VM provisioning/retirement, the ansible services playbooks could be doing something other than provisioning. e.g Scanning for vulnerabilities in  a vm or instance. So by us setting a default entry point we won't know which playbook to point to. For some playbooks (e.g one that does scanning) there is nothing equivalent to retirement. If we arbitrarily choose a playbook or choose the same playbook the affects could be damaging. So the onus to to configure and retire has to be done on a playbook by playbook basis and the only person that knows that is the administrator or playbook designer.

Its working as designed.

Comment 6 Shveta 2017-11-21 19:53:09 UTC
Closing based on above comment.


Note You need to log in before you can comment on or make changes to this bug.